Subject: Re: [sip-overload] Fwd: New Version Notification fordraft-hilt-soc-overload-design-00

From: Volker Hilt <[email-masked]>
Date: Wed, 2 Jun 2010 12:28:29 -0400

Partha,
>
> In sec 3 of this draft indicates that the signaling network failure in
> receiver is considered only in implicit overload control.The statement
> is as follows:
>
> "Implicit overload control uses the absence of responses and packet loss
> as an indication of overload." ...
> "Since there is no explicit overload signal, this mechanism is robust as
> it does not depend on actions taken by the SIP server running into
> overload.".
>
> The network failure may be due to overload or packet loss in the middle
> box which will not be known to the sender. In my opinion, the network
> failure has to be considered from the sender perspective irrespective of
> whether explicit overload control or implicit overload control is
> implemented and also, there is no distinct advantage of using implicit
> overload control for this scenario. Please let me know your opinion.
>
Ideally, a server will implement implicit and explicit overload 
controls. An explicit control enables a server to steer incoming load to 
a desired level. Implicit control prevents a sender from sending when 
the receiver has become unresponsive.

The last paragraph of this section should clarify the roles of these two 
approaches.

Thanks,

Volker

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Volker Hilt
> Sent: Friday, May 28, 2010 11:50 PM
> To: [email-masked]
> Subject: [sip-overload] Fwd: New Version Notification
> fordraft-hilt-soc-overload-design-00
>
> I've just submitted a new version of the Design Considerations for
> Session Initiation Protocol (SIP) Overload Control draft
> (draft-hilt-soc-overload-design). The draft has been moved to the SOC WG
> as an individual submission. The previous version was a SIPPING WG item.
>
> Thanks,
>
> Volker
>
>
>
> -------- Original Message --------
> Subject: New Version Notification for draft-hilt-soc-overload-design-00
> Date: Fri, 28 May 2010 13:15:04 -0500
> From: IETF I-D Submission Tool<[email-masked]>
> To: Hilt, Volker (Volker)<[email-masked]>
> CC: [email-masked]<[email-masked]>, [email-masked]
> <[email-masked]>, [email-masked]<[email-masked]>
>
>
> A new version of I-D, draft-hilt-soc-overload-design-00.txt has been
> successfully submitted by Volker Hilt and posted to the IETF repository.
>
> Filename:	 draft-hilt-soc-overload-design
> Revision:	 00
> Title:		 Design Considerations for Session Initiation Protocol
> (SIP)
> Overload Control
> Creation_date:	 2010-05-28
> WG ID:		 Independent Submission
> Number_of_pages: 21
>
> Abstract:
> Overload occurs in Session Initiation Protocol (SIP) networks when
> SIP servers have insufficient resources to handle all SIP messages
> they receive.  Even though the SIP protocol provides a limited
> overload control mechanism through its 503 (Service Unavailable)
> response code, SIP servers are still vulnerable to overload.  This
> document discusses models and design considerations for a SIP
> overload control mechanism.
>
>
>
>
> The IETF Secretariat.
>
>
> _______________________________________________
> sip-overload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sip-overload